Packages - Packaging Request #3206

[intel-phc]: for undervolting 2nd gen and older Intel CPUs.
2022-03-27 07:37 AM - wael

Status: fixed % Done: 0%
Priority: wish

Assignee: bill-auger

Category:

Description

Hello,

| would like to request the packaging of intel-phc from the AUR.
Relevant URLs are in the attached file.
And the license is GPLv2-only.

This patch/driver allows the under-volting of Intel processors in the following families:
Mobile Centrino, Core/Core2, Atom (N2) and first and second generation Core i.

This would be quite useful in Parabola as | imagine many people run systems on top of Libreboot, which would benefit from this
package a lot.

History

#1 - 2022-03-27 12:29 PM - bill-auger

for the record, what does this software do? - does it save power,
throttle the CPU speed, etc?

#2 - 2022-03-27 04:27 PM - wael

It's a patch (in the form of a kernel module) to acpi-cpufreq to allow undervolting the CPU.

The user is supposed to initially experiment with different values to see how much stable undervolting can be achieved and then they can set it to
build on each kernel update and insert the module to allow undervolting without tweaking through the BIOS.

It is mainly targeted to saving power on laptops, as it can potentially drop CPU power use by a factor of 2.

#3 - 2022-04-03 10:50 AM - wael
- File gmid_package_build.tar.gz added

I've written PKGBUILD files for linux-libre and linux-libre-Its.
Still haven't managed to totally test it though as I've got a problem with the GCC version - I'll sort it out and report back later.
Attached PKGBUILD and files for linux-libre version.

#4 - 2022-04-03 10:51 AM - wael
- File phc-intel_package _files.tar.gz added

| accidentally attached the wrong file.

#5 - 2022-04-06 08:18 PM - bill-auger

some notes:
WRT Maintainer:

Maintainer should be someone who is contributing to parabola directly - if the PKGBUILD was adapted from another repo (eg: the AUR), the foreign
Maintainer: should be appended with an identifier of the source/upstream repo - in this case:

before:

# Maintainer: Real Name <email.example.org>

after:

# Maintainer (aur): Real Name <email.example.org>
eventually, i would like to establish a convention for those identifiers, so that they would be machine-readable - eg:
KNOWN_PKGBUILD_UPSTREAMS = [ 'aur' , 'artix' , 'arch32' , 'archarm' ]
WRT pkgrel:

the .parabola extension to pkgrel is to indicate a replacement for a package in arch - replacement packages would never be in the PCR repo - for a
PCR package, pkgrel is a single number:

before:
pkgrel=1
pkgrel+=.parabolal

after:

pkgrel=1

WRT arch:

this note is not very important; but i think it is an improvement for documentation - the AUR PKGBUILD has this as an 'any' arch, which is technically
correct - however, i probably would have changed it also to specify only the x86 arches - although that is technically incorrect, it avoids publishing the
package to non-x86 arches, where it is useless - the change i would make there is to retain the original 'any’' line, and add a comment, to explain why
this PKGBUILD is doing something which is technically incorrect

before:

arch=('x86_64"' 'i686")
after:

arch=('any)
arch=('x86_64" '1686') # avoid publishing to non-x86 arches

WRT provides:
i removed that line because it does not appear to have any usefulness - no parabola package, nor arch package, nor AUR package refers to it - it is
probably "cruft", left-over to replace a previous package, which got renamed at some time in the past, or to satisfy some other package which no

longer exists

it is messy; but i would consider it as a reminder, to ask the AUR maintainer to remove that line, or to justify retaining it

before:

provides=('linux-phc"')

after:

# provides=('linux-phc') # useless - no arch, parabola, nor AUR package refers to this

#6 - 2022-04-06 08:28 PM - bill-auger
- File meld.scrot.png added

#7 - 2022-04-06 08:30 PM - bill-auger

just for demonstration, this is why it is helpful to retain that original arch=('any") line - the intentions of both the original maintainer, and the parabola
maintainer, can become equally obvious, when viewed with a merge tool (the one below is 'meld’)

meld.scrot.png

#8 - 2022-04-06 09:16 PM - bill-auger

- Priority changed from bug to wish

- Assignee set to bill-auger

- Status changed from open to in progress

- Subject changed from intel-phc, for undervolting 2nd gen and older Intel CPUs. to [intel-phc]: for undervolting 2nd gen and older Intel CPUs.
#9 - 2022-04-07 11:30 AM - wael
- File phc-intel_package._files.tar.gz added

I've added the changes to the PKGBUILD, though IDK how much of a point that has as bill-auger already added them | assume.
I'm taking notes as to what to improve in the future.

#10 - 2022-04-12 04:52 AM - bill-auger

- Status changed from in progress to fixed

just look over my changes in abslibre, to intel-phc gmid, and coreboot-util - IMHO, git, tig, and merge tools like meld are much more helpful for that,
than passing around raw files

#11 - 2022-04-12 04:56 AM - bill-auger
- File deleted (urls)

#12 - 2022-04-12 04:56 AM - bill-auger
- File deleted (gmid_package_build.tar.gz)

#13 - 2022-04-12 04:56 AM - bill-auger
- File deleted (phc-intel_package _files.tar.gz)

#14 - 2022-04-12 04:56 AM - bill-auger
- File deleted (phc-intel_package _files.tar.gz)

#15 - 2022-07-11 06:28 PM - wael

Update:

Now that Libreboot 22020710 stable fixed the speedstep issue, | managed to test this patch/module on my T400, and | can confirm that it works fine.
| will take care to modify the PKGBUILD whenever the software gets updated and upload it here/send it on the mailing list.

| am yet testing out the stability of the undervolting, once that is done and | have some time: I'll document the whole procedure of tuning the values in
the Wiki, as this can breathe new life into older machines and prolong the lifespan of the parts (less wear).
